> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udrow.md).

# New-UDRow

New-UDRow crea un contenedor de fila de cuadrícula en PowerShell Universal para disponer columnas una al lado de la otra, envolviendo New-UDGrid con la opción Container.

### Sinopsis

Crea una nueva fila para una cuadrícula.

### Sintaxis

```powershell
New-UDRow [-Id <String>] [[-Columns] <ScriptBlock>] [-Style <Hashtable>] [<CommonParameters>]
```

### Descripción

Crea una nueva fila para una cuadrícula. Es un envoltorio de New-UDGrid -Container.

### Parámetros

#### -Id

El ID de la fila.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Columns

Las columnas que se incluirán en la fila.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

El estilo de la fila.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1: fila básica

```powershell
New-UDRow -Columns {
    New-UDColumn -SmallSize 6 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 6 -Content {
        "Column 2"
    }
}
```

Crea una nueva fila con dos columnas, cada una de las cuales ocupa la mitad del ancho en pantallas pequeñas.

#### Ejemplo 2: estilo de fila

```powershell
New-UDRow -Id "myRow" -Columns {
    New-UDColumn -SmallSize 4 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 4 -Content {
        "Column 2"
    }
} -Style @{ backgroundColor = "#f0f0f0" }
```

Crea una nueva fila con dos columnas, cada una de las cuales ocupa un tercio del ancho en pantallas pequeñas, y aplica un estilo de color de fondo a la fila.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udrow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
